Page MenuHomePhabricator

Introduction to Wikimedia Tech (code areas, infrastructure tools, communication venues)
Closed, ResolvedPublic

Description

This session provides a high-level overview of the many technical areas in Wikimedia in which you can contribute, the infrastructure tools used to work on code, and the communication venues used in our technical community.

Do you look for some ideas and inspiration?
Or are you curious and want to get an overview?
Join the session!

Date and Time: Wednesday, 22 June, 11:30, Lecture Space / Newcomer Track at Theater.

Etherpad: https://etherpad.wikimedia.org/p/Hackathon-2016-Tech-Intro

Content of the session and pages shown:

Event Timeline

Aklapper created this task.Jun 9 2016, 5:33 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 9 2016, 5:33 PM
Aklapper triaged this task as Normal priority.Jun 9 2016, 5:34 PM
Aklapper updated the task description. (Show Details)Jun 9 2016, 5:53 PM

Do we need to register or something?

I don't think so. :)

Aklapper updated the task description. (Show Details)Jun 22 2016, 8:14 AM
Aklapper updated the task description. (Show Details)Jun 22 2016, 8:19 AM
Aklapper updated the task description. (Show Details)Jun 22 2016, 8:21 AM
GWicke updated the task description. (Show Details)EditedJun 22 2016, 8:43 AM
GWicke added a subscriber: GWicke.

Added a link to the REST API in the task description. The API is available for all projects: https://<project_domain/api/rest_v1/?doc>

Aklapper closed this task as Resolved.Jun 23 2016, 5:58 PM

Thanks!

This took place and 10-15 people attended (with some good questions, e.g. the diff between Labs and Tool Labs).
One feedback item was to not call this "introduction" but "overview" instead.

Added a link to the REST API in the task description. The API is available for all projects: https://<project_domain/api/rest_v1/?doc>

RestBASE is linked from the first paragraph of mw:API:Main page, so I've changed it from "WebAPI" to "WebAPI and Rest API" instead. Thanks!

Aklapper updated the task description. (Show Details)Jun 24 2016, 1:23 PM